LayeredConnectionSocketFactory (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.socket
Interface LayeredConnectionSocketFactory

All Superinterfaces:
  ConnectionSocketFactory

All Known Implementing Classes:
  SSLConnectionSocketFactory, SSLSocketFactory

    public interface LayeredConnectionSocketFactory

extends ConnectionSocketFactory

Extended `ConnectionSocketFactory` interface for layered sockets such as SSL/TLS.

Since:
  4.3

Method Summary
`Socket` | `createLayeredSocket(Socket socket, String target, int port, org.apache.http.protocol.HttpContext context)` Returns a socket connected to the given host that is layered over an existing socket.

Methods inherited from interface org.apache.http.conn.socket.ConnectionSocketFactory
`connectSocket, createSocket`

Method Detail

### createLayeredSocket

    Socket createLayeredSocket(Socket socket,
                               String target,
                               int port,
                               org.apache.http.protocol.HttpContext context)
                               throws IOException,
                                      UnknownHostException

  Returns a socket connected to the given host that is layered over an existing socket. Used primarily for creating secure sockets through proxies.

  Parameters:
    `socket` - the existing socket
    `target` - the name of the target host.
    `port` - the port to connect to on the target host.
    `context` - the actual HTTP context.
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.